## Script (Python) "get_posting_filter"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##

req = context.REQUEST

filter = None
try:
    filter = context.site_posting_filter
except:
    member_tool = context.portal_membership
    if not member_tool.isAnonymousUser():
        folder = member_tool.getHomeFolder()
        try:
            # This will handle both the "no visible home
            # folder" and the "no posting filter" cases.
            filter = folder['member_posting_filter']
        except:
            pass
    if not filter:
        # We want an exception in here -- it's a site
        # configuration error.
        filter = context.default_posting_filter
if req:
    req.set('posting_filter', filter)
    req.set('posting_filter_key', filter.getPhysicalPath())
return filter


                
