## Script (Python) "edit_posting"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=REQUEST, RESPONSE, id=0, title='', body='', subject='', created=None, modified=None, reviewed=0, notify=0, encoding='Plain', article=0, member=None, author=None, email=None, summary=None, dept=None, delete_attachment=0, new_attachment=None, keywords=[], syndicated_to=[], reparent_to=0, make_article=0, ids=[]
##title=
##

from Products.PythonScripts.standard import url_quote

pt = context.postings_tool

old_posting = pt.getFullPosting(id)
if not old_posting:
    raise "Can't update posting %s because it does not exist." % str(id)

message = ''
# This bit chooses the correct validate method and uses it.
if article:
    message=context.validateArticle(context, REQUEST=REQUEST)
else:
    message=context.validateComment(context, REQUEST=REQUEST)

if not message and reparent_to and not article:
    # Exactly one checkbox must be checked in the right list of thread members
    if len(ids) == 1:
        reparent_to = ids[0]
        if reparent_to == old_posting.id:
            message = "You can't reparent a posting to itself!"
            reparent_to = 0 # just being paranoid
    else:
        message = "Exactly one parent must be selected to reparent a posting."

if message:
    return RESPONSE.redirect('%s/sqEditPostingForm?pid=%s&return=moderate&show_thread=1&error=%s' % \
                             (context.absolute_url(), str(id), url_quote(message)))

if new_attachment:
    attachment = new_attachment
else:
    attachment = None

if reviewed and not old_posting.reviewed:
    # Update creation date to now when first approving a posting
    created = DateTime()

#try:
pt.updatePosting(id, title, body, subject,
                 created=created, modified=modified, reviewed=reviewed,
                 notify=notify, encoding=encoding, article=article, member=member, author=author,
                 email=email, summary=summary, dept=dept,
                 attachment=attachment, delete_attachment=delete_attachment,
                 keywords=keywords, clients=syndicated_to, reparent_to=reparent_to,
                 make_article=make_article)

#except:
#    RESPONSE.redirect('%s/sqEditPostingForm?pid=%s' % (str(id), context.absolute_url())
#                  + '?error=Edit%20failed!' )
#else:
return RESPONSE.redirect('%s/postings_tool/manage_moderationForm' % context.absolute_url())
